%define		perl_vendorlib	%(eval "`perl -V:installvendorlib`"; echo $installvendorlib)

%define		tarname	Mail-Alias

Summary: 	Mail::Alias perl module.
Name: 		perl-%{tarname}
Version: 	1.12
Release: 	0.fdr.3.rh90
Epoch: 		0
License: 	Artistic
Group: 		Development/Libraries
URL: 		http://www.cpan.org/
# Tarball grabbed with perl -MCPAN -e shell -> get Mail::Alias.
Source0: 	%{tarname}-%{version}.tar.gz
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

# -----------------------------------------------------------------------------

%description
This module allows direct manipulation of various types of E-Mail
Alias files. The primary use of Mail::Alias is for manipulating alias
files in the SENDMAIL alias file format. Additionally it is possible
to read some other formats and to convert between various alias file
formats.

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{tarname}-%{version}

# -----------------------------------------------------------------------------

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}
make test

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
make install \
  PERL_INSTALL_ROOT=$RPM_BUILD_ROOT \
  INSTALLARCHLIB=$RPM_BUILD_ROOT%{perl_archlib}
find $RPM_BUILD_ROOT -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc README Changes
%dir %{perl_vendorlib}/Mail
%{perl_vendorlib}/Mail/Alias.pm
%{_mandir}/man3/Mail::Alias.3pm*

# -----------------------------------------------------------------------------

%changelog
* Thu Oct  2 2003 Michael Schwendt <rh0212ms[AT]arcor.de> 0:1.12-0.fdr.3
- Vendor installation
- noarch build
- Removing some files instead of excluding them

* Fri Jul 11 2003 Dams <anvil[AT]livna.org> 0:1.12-0.fdr.2
- Changed Group tag value
- Added make test in build section
- Added missing directory

* Tue Jun 17 2003 Dams <anvil[AT]livna.org> 
- Initial build.
